What Are the Requirements to Run Easy365Manager?

To install Easy365Manager you need the 64 bit version of Windows 7 SP1 or Windows Server 2008 R2 SP1 or later.

  • You must have Powershell 5.1 or later
  • You must have the AD Users & Computers management snap-in installed before you install Easy365Manager
  • You must allow your Azure AD Connect server to allow remote synchronization (if installing Easy365Manager on any other system but the Azure AD Connect server)
  • You need to register your tenant name using the download form

For more details please check our detailed instructions.

Did you like this post? Maybe your friends will too!